#!/bin/sh
set -e
if test -f "/run/secrets/db_password"; then
    pwd=`cat /run/secrets/db_password`
    if [ -z $pwd ]; then
        echo >&2 "error: /run/secrets/db_password is empty"
        exit 1
    fi
    export "DB_PASSWORD"="$pwd"
    unset "pwd"
else
    echo >&2 "error: /run/secrets/db_password does not exist"
    exit 1
fi

# we want to run some one-time tasks as described here:
# https://docs.pixelfed.org/running-pixelfed/installation.html#setting-up-services

#if test ! -f /var/www/.env; then
#    cp /envfile /var/www/.env
#    chown www-data:www-data /var/www/.env
#    chmod 755 /var/www/.env
#fi

/worker-entrypoint.sh
